> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ecomail.cz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get automation stats for multiple emails

> Fetch detailed engagement statistics for multiple email addresses in a given automation.

**pipeline\_id** `integer` *required*

Automation ID.

**per\_page** `integer`

Number of results per page. Default is `100`, maximum is `5000`.

**page** `integer`

Page number.

**emails** `array` *required*

Array of email addresses to retrieve statistics for.

```bash cURL theme={null}
curl -X POST "https://api2.ecomailapp.cz/pipelines/1/stats-detail?per_page=100&page=1" \
  -H "key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "emails": ["foo@bar.cz", "foo2@bar.cz"]
  }'
```

```php PHP theme={null}
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://api2.ecomailapp.cz/pipelines/1/stats-detail?per_page=100&page=1');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    'key: YOUR_API_KEY',
    'Content-Type: application/json',
]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode([
    'emails' => ['foo@bar.cz', 'foo2@bar.cz'],
]));
$response = curl_exec($ch);
curl_close($ch);
```

```json 200 theme={null}
{
  "next_page_url": null,
  "total": 2,
  "per_page": 100,
  "subscribers": {
    "foo@bar.cz": {
      "open": 6,
      "send": 5,
      "unsub": 1,
      "click": 7,
      "hard_bounce": 0,
      "spam": 0
    },
    "foo2@bar.cz": {
      "open": 4,
      "send": 4,
      "click": 8
    }
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.